summaryrefslogtreecommitdiff
path: root/help/bg/progress.page
diff options
context:
space:
mode:
Diffstat (limited to 'help/bg/progress.page')
-rw-r--r--help/bg/progress.page76
1 files changed, 76 insertions, 0 deletions
diff --git a/help/bg/progress.page b/help/bg/progress.page
new file mode 100644
index 00000000..175ebabb
--- /dev/null
+++ b/help/bg/progress.page
@@ -0,0 +1,76 @@
+<?xml version="1.0" encoding="utf-8"?>
+<page xmlns="http://projectmallard.org/1.0/" type="topic" id="progress" xml:lang="bg">
+ <info>
+ <link type="guide" xref="index#dialogs"/>
+ <desc>Use the <cmd>--progress</cmd> option.</desc>
+ </info>
+ <title>Прозорец за прогрес</title>
+ <p>
+ Use the <cmd>--progress</cmd> option to create a progress dialog.
+ </p>
+
+ <p>
+ <app>Zenity</app> reads data from standard input line by line. If a line is prefixed with #, the text is updated with the text on that line. If a line contains only a number, the percentage is updated with that number.
+ </p>
+
+ <p>Прозорецът за прогрес поддържа следните настройки:</p>
+
+ <terms>
+
+ <item>
+ <title><cmd>--text</cmd>=<var>text</var></title>
+ <p>Определя текста, който да се показва в прозореца за прогрес.</p>
+ </item>
+
+ <item>
+ <title><cmd>--percentage</cmd>=<var>percentage</var></title>
+ <p>Определя началните проценти, които да се настроят за прозореца за прогрес.</p>
+ </item>
+
+ <item>
+ <title><cmd>--auto-close</cmd></title>
+ <p>Затваря прозореца за прогрес, когато се достигнат стоте процента.</p>
+ </item>
+
+ <item>
+ <title><cmd>--pulsate</cmd></title>
+ <p>Указва, че лентата за прогреса пулсира докато във входа не се достигне до знака EOF.</p>
+ </item>
+
+ </terms>
+
+ <p>
+ The following example script shows how to create a progress dialog:
+ </p>
+
+<code>
+#!/bin/sh
+(
+echo "10" ; sleep 1
+echo "# Updating mail logs" ; sleep 1
+echo "20" ; sleep 1
+echo "# Resetting cron jobs" ; sleep 1
+echo "50" ; sleep 1
+echo "This line will just be ignored" ; sleep 1
+echo "75" ; sleep 1
+echo "# Rebooting system" ; sleep 1
+echo "100" ; sleep 1
+) |
+zenity --progress \
+ --title="Update System Logs" \
+ --text="Scanning mail logs..." \
+ --percentage=0
+
+if [ "$?" = -1 ] ; then
+ zenity --error \
+ --text="Update canceled."
+fi
+</code>
+
+
+ <figure>
+ <title>Пример за прозорец за прогрес</title>
+ <desc><app>Zenity</app> progress dialog example</desc>
+ <media type="image" mime="image/png" src="figures/zenity-progress-screenshot.png"/>
+ </figure>
+</page>
bgstack15